com.smartgwt.client.widgets.calendar

## Class CalendarEvent

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Record
        - - com.smartgwt.client.widgets.calendar.CalendarEvent

-     public class CalendarEvent
      extends Record

  A type of `Record` which represents an event to occur at a specific time, displayed within the calendar.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarEvent()`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, boolean canEdit)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, boolean canEdit, java.lang.String eventWindowStyle)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, boolean canEdit, java.lang.String eventWindowStyle, java.lang.String lane)`
    `CalendarEvent(int eventId, java.lang.String name, java.lang.String description, java.util.Date startDate, java.util.Date endDate, java.lang.String lane)`
    `CalendarEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundColor()` An optional background color for this event's window.
    `java.lang.Boolean` | `getCanEdit()` Optional boolean value controlling the editability of this particular calendarEvent.
    `java.lang.String` | `getDescription()` String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `descriptionField`
    `java.util.Date` | `getEndDate()` Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `endDateField`
    `java.lang.Integer` | `getEventId()`
    `java.lang.String` | `getEventWindowStyle()` CSS style series to use for the draggable event window that represents this event.
    `java.lang.String` | `getLane()` When in Timeline mode, a string that represents the name of the `lane` this `CalendarEvent` should sit in.
    `java.lang.String` | `getName()` String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `nameField`
    `static CalendarEvent` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.util.Date` | `getStartDate()` Date object which represents the start date of a `CalendarEvent`.
    `java.lang.String` | `getTextColor()` An optional text color for this event's window.
    `void` | `setBackgroundColor(java.lang.String backgroundColor)` An optional background color for this event's window.
    `void` | `setCanEdit(java.lang.Boolean canEdit)` Optional boolean value controlling the editability of this particular calendarEvent.
    `void` | `setDescription(java.lang.String description)` String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `descriptionField`
    `void` | `setEndDate(java.util.Date endDate)` Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `endDateField`
    `void` | `setEventId(java.lang.Integer eventId)`
    `void` | `setEventWindowStyle(java.lang.String eventWindowStyle)` CSS style series to use for the draggable event window that represents this event.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setLane(java.lang.String lane)` When in Timeline mode, a string that represents the name of the `lane` this `CalendarEvent` should sit in.
    `void` | `setName(java.lang.String name)` String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `nameField`
    `void` | `setStartDate(java.util.Date startDate)` Date object which represents the start date of a `CalendarEvent`.
    `void` | `setTextColor(java.lang.String textColor)` An optional text color for this event's window.

    - ### Methods inherited from class com.smartgwt.client.data.Record

      `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, isARecord, toMap`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEvent

          public CalendarEvent()

    - #### CalendarEvent

          public CalendarEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                       java.lang.String name,
                       java.lang.String description,
                       java.util.Date startDate,
                       java.util.Date endDate)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                       java.lang.String name,
                       java.lang.String description,
                       java.util.Date startDate,
                       java.util.Date endDate,
                       boolean canEdit)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                       java.lang.String name,
                       java.lang.String description,
                       java.util.Date startDate,
                       java.util.Date endDate,
                       boolean canEdit,
                       java.lang.String eventWindowStyle)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                       java.lang.String name,
                       java.lang.String description,
                       java.util.Date startDate,
                       java.util.Date endDate,
                       java.lang.String lane)

    - #### CalendarEvent

          public CalendarEvent(int eventId,
                       java.lang.String name,
                       java.lang.String description,
                       java.util.Date startDate,
                       java.util.Date endDate,
                       boolean canEdit,
                       java.lang.String eventWindowStyle,
                       java.lang.String lane)

  - ### Method Detail

    - #### getOrCreateRef

          public static CalendarEvent getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setBackgroundColor

          public void setBackgroundColor(java.lang.String backgroundColor)

      An optional background color for this event's window.
      Parameters:
        `backgroundColor` - . See `String`. Default value is null

    - #### getBackgroundColor

          public java.lang.String getBackgroundColor()

      An optional background color for this event's window.
      Returns:
        . See `String`

    - #### setDescription

          public void setDescription(java.lang.String description)

      String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `descriptionField`
      Parameters:
        `description` - . See `String`. Default value is null

    - #### getDescription

          public java.lang.String getDescription()

      String which represents the description of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `descriptionField`
      Returns:
        . See `String`

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

      Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `endDateField`
      Parameters:
        `endDate` - endDate Default value is null

    - #### getEndDate

          public java.util.Date getEndDate()

      Date object which represents the end date of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `endDateField`
      Returns:
        Date

    - #### setEventWindowStyle

          public void setEventWindowStyle(java.lang.String eventWindowStyle)

      CSS style series to use for the draggable event window that represents this event. If specified, overrides `eventWindowStyle` for this specific event.

      The name of this field within the CalendarEvent can be changed via `eventWindowStyleField`

      Parameters:
        `eventWindowStyle` - . See `CSSStyleName`. Default value is null

    - #### getEventWindowStyle

          public java.lang.String getEventWindowStyle()

      CSS style series to use for the draggable event window that represents this event. If specified, overrides `eventWindowStyle` for this specific event.

      The name of this field within the CalendarEvent can be changed via `eventWindowStyleField`

      Returns:
        . See `CSSStyleName`

    - #### setLane

          public void setLane(java.lang.String lane)

      When in Timeline mode, a string that represents the name of the `lane` this `CalendarEvent` should sit in. The name of this field within the CalendarEvent can be changed via `laneNameField`.
      Parameters:
        `lane` - . See `String`. Default value is null

    - #### getLane

          public java.lang.String getLane()

      When in Timeline mode, a string that represents the name of the `lane` this `CalendarEvent` should sit in. The name of this field within the CalendarEvent can be changed via `laneNameField`.
      Returns:
        . See `String`

    - #### setName

          public void setName(java.lang.String name)

      String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `nameField`
      Parameters:
        `name` - . See `String`. Default value is null

    - #### getName

          public java.lang.String getName()

      String which represents the name of a `CalendarEvent` The name of this field within the CalendarEvent can be changed via `nameField`
      Returns:
        . See `String`

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Date object which represents the start date of a `CalendarEvent`. The name of this field within the CalendarEvent can be changed via `startDateField`
      Parameters:
        `startDate` - startDate Default value is null

    - #### getStartDate

          public java.util.Date getStartDate()

      Date object which represents the start date of a `CalendarEvent`. The name of this field within the CalendarEvent can be changed via `startDateField`
      Returns:
        Date

    - #### setTextColor

          public void setTextColor(java.lang.String textColor)

      An optional text color for this event's window.
      Parameters:
        `textColor` - . See `String`. Default value is null

    - #### getTextColor

          public java.lang.String getTextColor()

      An optional text color for this event's window.
      Returns:
        . See `String`

    - #### setEventId

          public void setEventId(java.lang.Integer eventId)

    - #### getEventId

          public java.lang.Integer getEventId()

    - #### setCanEdit

          public void setCanEdit(java.lang.Boolean canEdit)

      Optional boolean value controlling the editability of this particular calendarEvent. The name of this field within the CalendarEvent can be changed via `canEditField`.
      Parameters:
        `canEdit` - canEdit Default value is null

    - #### getCanEdit

          public java.lang.Boolean getCanEdit()

      Optional boolean value controlling the editability of this particular calendarEvent. The name of this field within the CalendarEvent can be changed via `canEditField`.
      Returns:
        String